right order. Mention and use new script in the appropriate places.
+2008-08-12 Peter Maydell <pmaydell@chiark.greenend.org.uk>
+
+ * autogen.sh (new file): add script for running the GNU
+ autotools in the right order
+ * INSTALL: mention that you need to run autogen.sh if you
+ got nmh from CVS
+ * docs/README.developers: mention autogen.sh rather than
+ suggesting running autoheader and autoconf by hand.
+ * test/setup-test: run autotools via autogen.sh
+
2008-08-08 Eric Gillespie <epg@pretzelnet.org>
* sbr/discard.c, sbr/m_getfld.c, uip/scansbr.c: Add support for
build instructions for your operating system. To build nmh, you will
need an ANSI C compiler such as gcc.
+0) If you have obtained nmh by checking it out of CVS, you will
+ need to run the GNU autotools to regenerate some files.
+ (If your directory already contains a file 'config.h.in'
+ then this has already been done and you do not need to do it.)
+ You can regenerate the files by running the command
+
+ ./autogen.sh
+
1) From the top-level source directory, run the command
./configure [options]
--- /dev/null
+#!/bin/sh
+#
+# Regenerate config.h.in, configure, etc.
+# Necessary if building from CVS; not needed if
+# building from a distributed tarball.
+
+set -e
+autoheader
+autoconf
+date > stamp-h.in
Note that the automatically generated autoconf files (such as config.h.in,
stamp-h.in, and configure), are NOT kept in CVS. Thus, when you check out
-a CVS tree, you need to do the following things before you can build
+a CVS tree, you need to run the autogen.sh script before you can build
anything:
- % autoheader
- % autoconf
- % date > stamp-h.in
+ % ./autogen.sh
-------------------
directory structure
echo $TEMPDIR > test-temp-dir
cd ..
-autoheader && autoconf && date > stamp-h.in
+./autogen.sh
./configure --prefix=$TEMPDIR --with-locking=fcntl --enable-debug
make clean
make install